diff --git a/pgadmin/schema/pgTextSearchConfiguration.cpp b/pgadmin/schema/pgTextSearchConfiguration.cpp
index 7cb68f7..eb1ed01 100644
--- a/pgadmin/schema/pgTextSearchConfiguration.cpp
+++ b/pgadmin/schema/pgTextSearchConfiguration.cpp
@@ -90,7 +90,7 @@ wxString pgTextSearchConfiguration::GetTranslatedMessage(int kindOfMessage) cons
 
 bool pgTextSearchConfiguration::DropObject(wxFrame *frame, ctlTree *browser, bool cascaded)
 {
-	wxString sql = wxT("DROP TEXT SEARCH CONFIGURATION ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + this->GetIdentifier();
+	wxString sql = wxT("DROP TEXT SEARCH CONFIGURATION ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + qtIdent(this->GetIdentifier());
 
 	if (cascaded)
 		sql += wxT(" CASCADE");
diff --git a/pgadmin/schema/pgTextSearchDictionary.cpp b/pgadmin/schema/pgTextSearchDictionary.cpp
index f298890..3ae5ab5 100644
--- a/pgadmin/schema/pgTextSearchDictionary.cpp
+++ b/pgadmin/schema/pgTextSearchDictionary.cpp
@@ -90,7 +90,7 @@ wxString pgTextSearchDictionary::GetTranslatedMessage(int kindOfMessage) const
 
 bool pgTextSearchDictionary::DropObject(wxFrame *frame, ctlTree *browser, bool cascaded)
 {
-	wxString sql = wxT("DROP TEXT SEARCH DICTIONARY ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + this->GetIdentifier();
+	wxString sql = wxT("DROP TEXT SEARCH DICTIONARY ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + qtIdent(this->GetIdentifier());
 
 	if (cascaded)
 		sql += wxT(" CASCADE");
diff --git a/pgadmin/schema/pgTextSearchParser.cpp b/pgadmin/schema/pgTextSearchParser.cpp
index 93a471e..379b1e0 100644
--- a/pgadmin/schema/pgTextSearchParser.cpp
+++ b/pgadmin/schema/pgTextSearchParser.cpp
@@ -90,7 +90,7 @@ wxString pgTextSearchParser::GetTranslatedMessage(int kindOfMessage) const
 
 bool pgTextSearchParser::DropObject(wxFrame *frame, ctlTree *browser, bool cascaded)
 {
-	wxString sql = wxT("DROP TEXT SEARCH PARSER ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + this->GetIdentifier();
+	wxString sql = wxT("DROP TEXT SEARCH PARSER ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + qtIdent(this->GetIdentifier());
 
 	if (cascaded)
 		sql += wxT(" CASCADE");
diff --git a/pgadmin/schema/pgTextSearchTemplate.cpp b/pgadmin/schema/pgTextSearchTemplate.cpp
index 05f4a91..43dc9e8 100644
--- a/pgadmin/schema/pgTextSearchTemplate.cpp
+++ b/pgadmin/schema/pgTextSearchTemplate.cpp
@@ -90,7 +90,7 @@ wxString pgTextSearchTemplate::GetTranslatedMessage(int kindOfMessage) const
 
 bool pgTextSearchTemplate::DropObject(wxFrame *frame, ctlTree *browser, bool cascaded)
 {
-	wxString sql = wxT("DROP TEXT SEARCH TEMPLATE ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + this->GetIdentifier();
+	wxString sql = wxT("DROP TEXT SEARCH TEMPLATE ") + this->GetSchema()->GetQuotedIdentifier() + wxT(".") + qtIdent(this->GetIdentifier());
 
 	if (cascaded)
 		sql += wxT(" CASCADE");
